package com.prolog.cs.base.gsp.service;

import com.prolog.cs.base.gsp.QueryDTO;
import com.prolog.cs.base.gsp.model.GspUpkeepCheck;
import com.prolog.cs.base.gsp.vo.GspUpkeepCheckVO;
import com.prolog.cs.base.gsp.vo.InfTaskOutBackDTO;
import com.prolog.cs.base.gsp.vo.RfGspUpkeepCheckVO;
import com.prolog.framework.core.pojo.Page;
import com.prolog.upcloud.base.inventory.model.WmsInvStockLot;
import com.prolog.upcloud.base.inventory.vo.InfTaskOutBackVO;

import java.util.List;

/**
 * @Description
 * @Date 2021-05-10
 */

public interface GspUpkeepCheckService {


    void batchAddStockLockDb(List<WmsInvStockLot> wmsInvStockLots);

    void batchAdd(String source, List<GspUpkeepCheck> model);

    public String[] batchEdit(List<GspUpkeepCheck> model, boolean isCheck);

    Page<GspUpkeepCheckVO> listPage(String warehouseId, String cargoOwnerId, String status, String billtype, Integer pageSize, Integer pageNum);

    Page<GspUpkeepCheckVO> findUpkeepPage(QueryDTO upkeepCheckDTO);

    List<GspUpkeepCheckVO> findUpkeepItem4MovePick(String id);

    void confirmUpkeepMove(String[] arrList);

    public List<GspUpkeepCheckVO> spellGspUpkeepCheckVOSPage(List<GspUpkeepCheck> list);

    void confirmDevice();

    void sendTaskToEis(List<String> ids);

    Page<RfGspUpkeepCheckVO> findUpkeepPageByRf(QueryDTO dto);

    GspUpkeepCheckVO findUpkeepDtlByRf(QueryDTO dto);

    void callbackPushTask(List<String> ids);

    void gspUpKeepOutBack(List<InfTaskOutBackDTO> upkeepList);

    String getLocationNoByLineId(String lineId);

    void addStockUnLock(List<WmsInvStockLot> wmsInvStockLots);
}
